iClassPro Blog

Upcoming Security Changes

September 13, 2018

As part of our ongoing commitment to keep iClassPro as secure as possible, we will be making a few security updates. On October 22nd, we will make an update that will disable TLS 1.0 connections. This older connection technology has been on it’s way out for some time and many applications have already disabled it or will be disabling it in the near future. This update means that after October 22nd, 2018 browsers released around 2010 will NOT be able to connect to iClassPro (including the Parent Portal) including the following:

  • Google Chrome 21 and below
  • Firefox 22 and below
  • Desktop IE versions 7 and below
  • Mobile IE versions 10 and below
  • Android 4.3 (Jelly Bean) and below
  • Mobile Safari for iOS 4 and below
  • Desktop Safari versions 6 and below for OS X 10.8 (Mountain Lion) and below
  • Desktop IE versions 8, 9, and 10 – Compatible only when running Windows 7 or newer, but not by default. Review the Enabling TLS 1.1 and TLS 1.2 in Internet Explorer article to enable TLS 1.1 or higher encryption.
  • Windows Vista, XP and earlier are incompatible and cannot be configured to support TLS 1.1 or TLS 1.2.
  • Google Chrome 22 to 37 – Compatible when running on Windows XP SP3, Vista, or newer (desktop), OS X 10.6 (Snow Leopard) or newer (desktop), or Android 2.3 (Gingerbread) or newer (mobile).
  • Android 4.4 (KitKat) to 4.4.4 – May be compatible with TLS 1.1 or higher. Some devices with Android 4.4.x may not support TLS 1.1 or higher.

Please be aware of this change, and make sure that the browser you and your customers are using to access iClassPro is updated so that you will still be able to access the application after October 22nd, 2018. For information on how to update your browser, check out our support document here. To find out what browser you are currently using, click here.